# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.contrib.auth.models
from django.conf import settings
import Alumnos.models


class Migration(migrations.Migration):

    dependencies = [
        ('Documentos', '0001_initial'),
        ('Colegios', '0001_initial'),
        ('auth', '0006_require_contenttypes_0002'),
        ('Ubicacion', '0001_initial'),
        ('Carreras', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Alumno',
            fields=[
                ('user_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('Codigo', models.CharField(unique=True, max_length=7, verbose_name=b'C\xc3\xb3digo')),
                ('Expediente', models.CharField(unique=True, max_length=7, verbose_name=b'Expediente')),
                ('Nombres', models.CharField(max_length=50)),
                ('ApellidoPaterno', models.CharField(max_length=50, verbose_name=b'Ape. Pat.')),
                ('ApellidoMaterno', models.CharField(max_length=50, verbose_name=b'Ape. Mat.')),
                ('Nacimiento', models.DateField()),
                ('LugarNacimiento', models.CharField(max_length=50, null=True, verbose_name=b'Lug. Nac.', blank=True)),
                ('Sexo', models.CharField(max_length=1, choices=[(b'M', b'Masculino'), (b'F', b'Femenino')])),
                ('DocIdentidad', models.CharField(max_length=20, verbose_name=b'Doc. Identidad', choices=[(b'DNI', b'DNI'), (b'Libreta Militar', b'Libreta Militar'), (b'Pasaporte', b'Pasaporte'), (b'Carnet Ext.', b'Carnet Ext.'), (b'Otro', b'Otro'), (b'Ninguno', b'Ninguno')])),
                ('OtroDocumento', models.CharField(max_length=20, null=True, verbose_name=b'Otro Doc.', blank=True)),
                ('NroDocumento', models.PositiveIntegerField(null=True, verbose_name=b'N\xc2\xba Doc.', blank=True)),
                ('Distrito', models.CharField(max_length=50)),
                ('Direccion', models.CharField(max_length=100, verbose_name=b'Direcci\xc3\xb3n')),
                ('Urbanizacion', models.CharField(max_length=100, null=True, verbose_name=b'Urbanizaci\xc3\xb3n', blank=True)),
                ('Email', models.EmailField(max_length=254, null=True, verbose_name=b'E-mail', blank=True)),
                ('EstadoCivil', models.CharField(default=b'Soltero', max_length=20, verbose_name=b'Estado Civil', choices=[(b'Soltero', b'Soltero'), (b'Casado', b'Casado'), (b'Viudo', b'Viudo'), (b'Divorciado', b'Divorciado')])),
                ('Telefono', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('Celular', models.CharField(max_length=20, null=True, verbose_name=b'Celular', blank=True)),
                ('AnioIngreso', models.CharField(max_length=4, verbose_name=b'A\xc3\xb1o Ingreso', choices=[(b'2010', b'2010'), (b'2011', b'2011'), (b'2012', b'2012'), (b'2013', b'2013'), (b'2014', b'2014'), (b'2015', b'2015'), (b'2016', b'2016'), (b'2017', b'2017'), (b'2018', b'2018'), (b'2019', b'2019'), (b'2020', b'2020'), (b'2021', b'2021')])),
                ('Semestre', models.CharField(max_length=2, verbose_name=b'Per\xc3\xadodo Ingreso', choices=[(b'I', b'I'), (b'II', b'II'), (b'III', b'III')])),
                ('Modalidad', models.CharField(max_length=50, verbose_name=b'Modalidad', choices=[(b'Examen Ordinario', b'Examen Ordinario'), (b'Graduados Titulados', b'Graduados Titulados'), (b'Traslado Externo', b'Traslado Externo'), (b'Primeros Puestos', b'Primeros Puestos'), (b'Deportistas Calificados', b'Deportistas Calificados'), (b'Personas Discapacitadas', b'Personas Discapacitadas'), (b'Escuela Pre UDL', b'Escuela Pre UDL')])),
                ('AnioEgreso', models.CharField(max_length=4, verbose_name=b'A\xc3\xb1o Egreso Colegio', choices=[(b'2016', b'2016'), (b'2015', b'2015'), (b'2014', b'2014'), (b'2013', b'2013'), (b'2012', b'2012'), (b'2011', b'2011'), (b'2010', b'2010'), (b'2009', b'2009'), (b'2008', b'2008'), (b'2007', b'2007'), (b'2006', b'2006'), (b'2005', b'2005'), (b'2004', b'2004'), (b'2003', b'2003'), (b'2002', b'2002'), (b'2001', b'2001'), (b'2000', b'2000'), (b'1999', b'1999'), (b'1998', b'1998'), (b'1997', b'1997'), (b'1996', b'1996'), (b'1995', b'1995'), (b'1994', b'1994'), (b'1993', b'1993'), (b'1992', b'1992'), (b'1991', b'1991'), (b'1990', b'1990'), (b'1989', b'1989'), (b'1988', b'1988'), (b'1987', b'1987'), (b'1986', b'1986'), (b'1985', b'1985'), (b'1984', b'1984'), (b'1983', b'1983'), (b'1982', b'1982'), (b'1981', b'1981'), (b'1980', b'1980'), (b'1979', b'1979'), (b'1978', b'1978'), (b'1977', b'1977'), (b'1976', b'1976'), (b'1975', b'1975'), (b'1974', b'1974'), (b'1973', b'1973'), (b'1972', b'1972'), (b'1971', b'1971'), (b'1970', b'1970'), (b'1969', b'1969')])),
                ('Observaciones', models.TextField(null=True, blank=True)),
                ('Condicion', models.CharField(default=b'Postulante', verbose_name=b'Condici\xc3\xb3n', max_length=50, editable=False, choices=[(b'Postulante', b'Postulante'), (b'Retirado', b'Retirado')])),
                ('Asistencia', models.CharField(default=b'A', max_length=50, verbose_name=b'Asistencia', choices=[(b'A', b'Asistio'), (b'F', b'Falto')])),
                ('Puntaje', models.DecimalField(decimal_places=3, default=b'0.00', max_digits=6, blank=True, null=True, verbose_name=b'Puntaje')),
                ('Estado', models.BooleanField(default=True, verbose_name=b'Ingres\xc3\xb3')),
                ('Actualizodatos', models.BooleanField(default=False, verbose_name=b'\xc2\xbfActualiz\xc3\xb3 datos?', editable=False)),
                ('Egreso', models.BooleanField(default=False, verbose_name=b'\xc2\xbfEgres\xc3\xb3?')),
                ('AnioEgresado', models.CharField(blank=True, max_length=4, null=True, verbose_name=b'A\xc3\xb1o Egreso', choices=[(b'2010', b'2010'), (b'2011', b'2011'), (b'2012', b'2012'), (b'2013', b'2013'), (b'2014', b'2014'), (b'2015', b'2015'), (b'2016', b'2016'), (b'2017', b'2017'), (b'2018', b'2018'), (b'2019', b'2019'), (b'2020', b'2020'), (b'2021', b'2021')])),
                ('SemestreEgresado', models.CharField(blank=True, max_length=2, null=True, verbose_name=b'Per\xc3\xadodo Egreso', choices=[(b'I', b'I'), (b'II', b'II'), (b'III', b'III')])),
                ('GeneroCarne', models.BooleanField(default=False, verbose_name=b'\xc2\xbfGener\xc3\xb3 carn\xc3\xa9?', editable=False)),
                ('Foto', models.ImageField(upload_to=Alumnos.models.obtenerpath, null=True, verbose_name=b'Foto', blank=True)),
                ('Turno', models.CharField(max_length=2, verbose_name=b'Turno')),
                ('Egresoidiomas', models.BooleanField(default=False, verbose_name=b'\xc2\xbfEgres\xc3\xb3 IDIOMAS?')),
                ('Carrera', models.ForeignKey(to='Carreras.Carrera')),
                ('Colegio', models.ForeignKey(verbose_name=b'Colegio', to='Colegios.Colegio')),
            ],
            options={
                'verbose_name': 'Alumno UDL',
                'verbose_name_plural': 'Alumnos UDL',
                'permissions': (('read_alumno', 'Observar Alumnos UDL'),),
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='AlumnoDocumento',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('Numero', models.CharField(max_length=20, null=True, verbose_name=b'N\xc3\xbamero', blank=True)),
                ('Imagen', models.ImageField(upload_to=Alumnos.models.obtenerpath_alumnodocumento, null=True, verbose_name=b'Im\xc3\xa1gen', blank=True)),
                ('Alumno', models.ForeignKey(to='Alumnos.Alumno')),
                ('Documento', models.ForeignKey(to='Documentos.Documento')),
            ],
            options={
                'verbose_name': 'Documento de Alumno',
                'verbose_name_plural': 'Documentos de Alumnos',
            },
        ),
        migrations.CreateModel(
            name='Parentesco',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('ApePatPadre', models.CharField(max_length=50, null=True, verbose_name=b'Ape. Pat.', blank=True)),
                ('ApeMatPadre', models.CharField(max_length=50, null=True, verbose_name=b'Ape. Mat.', blank=True)),
                ('NombresPadre', models.CharField(max_length=50, null=True, verbose_name=b'Nombres', blank=True)),
                ('DNIPadre', models.PositiveIntegerField(null=True, verbose_name=b'DNI', blank=True)),
                ('VivePadre', models.BooleanField(default=True, verbose_name=b'\xc2\xbfVive?')),
                ('DirPadre', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('UrbPadre', models.CharField(max_length=100, null=True, verbose_name=b'Urbanizaci\xc3\xb3n', blank=True)),
                ('DepPadre', models.CharField(max_length=50, null=True, verbose_name=b'Departamento', blank=True)),
                ('ProvPadre', models.CharField(max_length=50, null=True, verbose_name=b'Provincia', blank=True)),
                ('DistPadre', models.CharField(max_length=50, null=True, verbose_name=b'Distrito', blank=True)),
                ('TelfPadre', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('CelPadre', models.CharField(max_length=20, null=True, verbose_name=b'Celular', blank=True)),
                ('OcupPadre', models.CharField(max_length=50, null=True, verbose_name=b'Ocupaci\xc3\xb3n', blank=True)),
                ('CtroTrabajoPadre', models.CharField(max_length=50, null=True, verbose_name=b'Ctro. Trabajo', blank=True)),
                ('TelfOcupPadre', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('DirOcupPadre', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('IngresoPadre', models.PositiveIntegerField(null=True, verbose_name=b'Ingreso S./', blank=True)),
                ('ApePatMadre', models.CharField(max_length=50, null=True, verbose_name=b'Ape. Pat.', blank=True)),
                ('ApeMatMadre', models.CharField(max_length=50, null=True, verbose_name=b'Ape. Mat.', blank=True)),
                ('NombresMadre', models.CharField(max_length=50, null=True, verbose_name=b'Nombres', blank=True)),
                ('DNIMadre', models.PositiveIntegerField(null=True, verbose_name=b'DNI', blank=True)),
                ('ViveMadre', models.BooleanField(default=True, verbose_name=b'\xc2\xbfVive?')),
                ('DirMadre', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('UrbMadre', models.CharField(max_length=100, null=True, verbose_name=b'Urbanizaci\xc3\xb3n', blank=True)),
                ('DepMadre', models.CharField(max_length=50, null=True, verbose_name=b'Departamento', blank=True)),
                ('ProvMadre', models.CharField(max_length=50, null=True, verbose_name=b'Provincia', blank=True)),
                ('DistMadre', models.CharField(max_length=50, null=True, verbose_name=b'Distrito', blank=True)),
                ('TelfMadre', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('CelMadre', models.CharField(max_length=20, null=True, verbose_name=b'Celular', blank=True)),
                ('OcupMadre', models.CharField(max_length=50, null=True, verbose_name=b'Ocupaci\xc3\xb3n', blank=True)),
                ('CtroTrabajoMadre', models.CharField(max_length=50, null=True, verbose_name=b'Ctro. Trabajo', blank=True)),
                ('TelfOcupMadre', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('DirOcupMadre', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('IngresoMadre', models.PositiveIntegerField(null=True, verbose_name=b'Ingreso S./', blank=True)),
                ('Responsable', models.CharField(max_length=50, verbose_name=b'Responsable', choices=[(b'Padre', b'Padre'), (b'Madre', b'Madre'), (b'Apoderado', b'Apoderado')])),
                ('Parentesco', models.CharField(max_length=50, verbose_name=b'Parentesco')),
                ('ApePatTutor', models.CharField(max_length=50, verbose_name=b'Ape. Pat.')),
                ('ApeMatTutor', models.CharField(max_length=50, verbose_name=b'Ape. Mat.')),
                ('NombresTutor', models.CharField(max_length=50, verbose_name=b'Nombres')),
                ('DNITutor', models.PositiveIntegerField(null=True, verbose_name=b'DNI', blank=True)),
                ('DirTutor', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('UrbTutor', models.CharField(max_length=100, null=True, verbose_name=b'Urbanizaci\xc3\xb3n', blank=True)),
                ('DepTutor', models.CharField(max_length=50, null=True, verbose_name=b'Dep.', blank=True)),
                ('ProvTutor', models.CharField(max_length=50, null=True, verbose_name=b'Prov.', blank=True)),
                ('DistTutor', models.CharField(max_length=50, null=True, verbose_name=b'Dist.', blank=True)),
                ('TelfTutor', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('CelTutor', models.CharField(max_length=20, null=True, verbose_name=b'Celular', blank=True)),
                ('OcupTutor', models.CharField(max_length=50, null=True, verbose_name=b'Ocupaci\xc3\xb3n', blank=True)),
                ('CtroTrabajoTutor', models.CharField(max_length=50, null=True, verbose_name=b'Ctro. Trabajo', blank=True)),
                ('TelfOcupTutor', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('DirOcupTutor', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('IngresoTutor', models.PositiveIntegerField(null=True, verbose_name=b'Ingreso S./', blank=True)),
            ],
            options={
                'verbose_name': 'Familiares del Alumno',
                'verbose_name_plural': 'Familiares de los Alumnos',
            },
        ),
        migrations.CreateModel(
            name='Pariente',
            fields=[
                ('user_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('Nombres', models.CharField(max_length=50)),
                ('ApellidoPaterno', models.CharField(max_length=50, verbose_name=b'Ape. Pat.')),
                ('ApellidoMaterno', models.CharField(max_length=50, verbose_name=b'Ape. Mat.')),
                ('Email', models.EmailField(unique=True, max_length=254, verbose_name=b'E-mail')),
                ('Nacimiento', models.DateField(null=True, verbose_name=b'Nacimiento', blank=True)),
                ('Sexo', models.CharField(default=b'M', max_length=1, choices=[(b'M', b'Masculino'), (b'F', b'Femenino')])),
                ('Dni', models.CharField(max_length=20, null=True, verbose_name=b'DNI', blank=True)),
                ('Direccion', models.CharField(max_length=100, null=True, verbose_name=b'Direcci\xc3\xb3n', blank=True)),
                ('Departamento', models.CharField(max_length=50, null=True, verbose_name=b'Departamento', blank=True)),
                ('Provincia', models.CharField(max_length=50, null=True, verbose_name=b'Provincia', blank=True)),
                ('Distrito', models.CharField(max_length=50, null=True, verbose_name=b'Distrito', blank=True)),
                ('EstadoCivil', models.CharField(default=b'Soltero', max_length=20, verbose_name=b'Estado Civil', choices=[(b'Soltero', b'Soltero'), (b'Casado', b'Casado'), (b'Viudo', b'Viudo'), (b'Divorciado', b'Divorciado')])),
                ('Telefono', models.CharField(max_length=20, null=True, verbose_name=b'Tel\xc3\xa9fono', blank=True)),
                ('Celular', models.CharField(max_length=20, null=True, verbose_name=b'Celular', blank=True)),
                ('Parentesco', models.CharField(default=b'Padre', max_length=20, verbose_name=b'Parentesco', choices=[(b'Padre', b'Padre-Madre'), (b'Abuelo', b'Abuelo(a)'), (b'Tio', b'T\xc3\xado(a)'), (b'Primo', b'Primo(a)'), (b'Hermano', b'Hermano(a)')])),
                ('Estado', models.BooleanField(default=True, verbose_name=b'Activado')),
                ('Fecha_creacion', models.DateTimeField(auto_now_add=True, verbose_name=b'Fecha creaci\xc3\xb3n')),
                ('Ultima_edicion', models.DateTimeField(auto_now=True, verbose_name=b'Ultima edici\xc3\xb3n')),
                ('Foto', models.ImageField(upload_to=Alumnos.models.obtenerpath_foto_pariente, null=True, verbose_name=b'Foto', blank=True)),
                ('Alumno', models.ManyToManyField(to='Alumnos.Alumno', verbose_name=b'Alumno(s)')),
            ],
            options={
                'verbose_name': 'Pariente Estudiante UDL',
                'verbose_name_plural': 'Parientes Estudiantes UDL',
                'permissions': (('read_pariente', 'Observar Parientes UDL'),),
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.AddField(
            model_name='alumno',
            name='Documentos',
            field=models.ManyToManyField(to='Documentos.Documento', through='Alumnos.AlumnoDocumento'),
        ),
        migrations.AddField(
            model_name='alumno',
            name='Parentesco',
            field=models.ForeignKey(verbose_name=b'Parentescos', to='Alumnos.Parentesco'),
        ),
        migrations.AddField(
            model_name='alumno',
            name='Provincia',
            field=models.ForeignKey(to='Ubicacion.Provincia'),
        ),
        migrations.AlterUniqueTogether(
            name='alumnodocumento',
            unique_together=set([('Alumno', 'Documento')]),
        ),
    ]
